/**
 * Open SUIT - Simple User Interface Toolkit
 * 
 * Copyright (c) 2009 France Telecom, http://www.francetelecom.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ow2.opensuit.core.error;

import javax.servlet.http.HttpServletRequest;

public class NonLocalizedError extends IError
{
    private static final long serialVersionUID = 1L;
	private String title;
	private String msg;
	private String nextUrl;

	public NonLocalizedError(String iTitle, String iMessage, Throwable iRootCause)
	{
		super("["+iTitle+"] "+iMessage, (Throwable)iRootCause);
		
		title = iTitle;
		msg = iMessage;
	}
	public NonLocalizedError(String iTitle, String iMessage)
	{
		this(iTitle, iMessage, null);
	}
	public String getTitle(HttpServletRequest iRequest)
	{
		return title;
	}
	public String getMessage(HttpServletRequest iRequest)
	{
		return msg;
	}
	public String getNextUrl()
    {
    	return nextUrl;
    }
	/**
	 * Sets the next url to navigate after having displayed the error to the user
	 * By default, reties the last non-submit request.
	 * @param nextUrl
	 */
	public void setNextUrl(String nextUrl)
    {
    	this.nextUrl = nextUrl;
    }
}
