/**
 * Open SUIT - Simple User Interface Toolkit
 * 
 * Copyright (c) 2009 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ow2.opensuit.core.expression;

import javax.servlet.http.HttpServletRequest;

import org.ow2.opensuit.cel.IEvaluationContext;
import org.ow2.opensuit.cel.ICompilationContext.IFunctionContext;
import org.ow2.opensuit.core.expression.ExpressionUtils.OpenSuitFunctionContext;
import org.ow2.opensuit.core.session.OpenSuitSession;
import org.ow2.opensuit.xml.base.Application;
import org.ow2.opensuit.xml.interfaces.IBeanProvider;


/**
 * This is the expression evaluation context implementation for open SUIT.
 */
public class OpenSuitEvaluationContext implements IEvaluationContext
{
	private Application application;
	private IBeanProvider beanProvider;
	private HttpServletRequest request;

	public OpenSuitEvaluationContext(Application application, IBeanProvider beanProvider, HttpServletRequest request)
	{
		this.application = application;
		this.request = request;
		this.beanProvider = beanProvider;
	}
	public Application getApplication()
	{
		return application;
	}
	public HttpServletRequest getRequest()
	{
		return request;
	}
	public OpenSuitSession getSession()
	{
		return OpenSuitSession.getSession(request);
	}
	public Object getVariable(String iName) throws Exception
	{
		if ("request".equals(iName)){
			return request;
		}
		
		if ("locale".equals(iName)){
			return OpenSuitSession.getSession(request).getLocale();
		}
		
		return beanProvider.getBeanValue(request, iName);
	}

	public Object getFunctionObject(IFunctionContext function)
	{
		return ((OpenSuitFunctionContext)function).getProvider();
	}
}
