/**
 * Open SUIT - Simple User Interface Toolkit
 * 
 * Copyright (c) 2009 France Telecom, http://www.francetelecom.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ow2.opensuit.core.impl;

import java.util.ArrayList;
import java.util.List;
import java.util.Vector;

import org.ow2.opensuit.core.util.UrlBuilder;

// ======================================================================================
// === RenderUrls
// ======================================================================================
public class UrlWatcher
{
	private static UrlWatcher installed;
	
	public static UrlWatcher getInstalled()
	{
		return installed;
	}
	
	public void install()
	{
		installed = this;
	}
	public void uninstall()
	{
		if(installed == this){
			installed = null;
		}
	}
	
	private List<UrlBuilder> urlsProcessed = new ArrayList<UrlBuilder>();
	private List<UrlBuilder> urlsToRender = new ArrayList<UrlBuilder>();
	
	public void addUrl(UrlBuilder iUrl)
	{
		if(urlsProcessed.contains(iUrl)){
			return;
		}
		
		urlsProcessed.add(iUrl);
		urlsToRender.add(iUrl);
	}
	public boolean hasMoreUrls()
	{
		return urlsToRender.size() > 0;
	}
	public UrlBuilder nextUrl()
	{
		return urlsToRender.remove(0);
	}
}
