// ===================================================================
// === Open SUIT JavaScript Library
// ===================================================================
// === This library is used by the Form components
// ===================================================================

function Form_focusFirstInput(formName)
{
	// focus first form element that is:
	//  - either TEXTAREA, SELECT, INPUT text, INPUT button, INPUT submit, BUTTON, INPUT image, INPUT file, INPUT password
	//  - and visible, enabled and not readonly
	var form = document.forms[formName];
	for(var i=0; i<form.elements.length; i++)
	{
		var e = form.elements[i];
		var eltType = e.nodeName == "INPUT" ? e.type : e.nodeName;
		if((eltType == "TEXTAREA" 
			|| eltType == "SELECT" 
			|| eltType == "BUTTON" 
			|| eltType == "text" 
			|| eltType == "button" 
			|| eltType == "submit" 
			|| eltType == "image" 
			|| eltType == "file" 
			|| eltType == "password")
			&& !e.disabled && !e.readOnly && e.focus)
		{
			// --- focus the element
			e.focus();
			// --- for IE, if the element is text input, place the caret at the end
			if(e.createTextRange && (eltType == "TEXTAREA" || eltType == "text" || eltType == "password"))
			{
				var range = form.elements[i].createTextRange();
				range.collapse(false);
				range.select();
			}
			return;
		}
	}
}
function Checkbox_toggle(checkboxId)
{
	var checkbox = document.getElementById(checkboxId);
	checkbox.checked = !checkbox.checked;
}
function Radio_check(radioId)
{
	var radio = document.getElementById(radioId);
	if(!radio.checked)
		radio.checked = true;
}
function Form_submit(formName, action)
{
	var form = document.forms[formName];
	form.enctype  = "application/x-www-form-urlencoded";
	form.encoding = "application/x-www-form-urlencoded";
	var actionField = form.elements["action"];
	actionField.value = action;
	if(action.startsWith("change:"))
		// --- dynamic reload: send scroll pos
		submitWithScrollPos(form);
	else
		form.submit();
}
function DateField_showCalendar(evt, formName, dateFieldName, calendarBaseUrl)
{
	var form = document.forms[formName];
	var dateField = form.elements[dateFieldName];
	var calendarUrl = calendarBaseUrl + (calendarBaseUrl.indexOf('?') < 0 ? "?" : "&") + "selected="+dateField.value;
	var width = 300;
	var height = 200;
	// !!! Doesn't work with doctype transitional
	var calendarWindowRule = findStyleRule(".osuit-CalendarWindow");
	if(calendarWindowRule != null)
	{
		if(calendarWindowRule.style.width != null)
			width = parseInt(calendarWindowRule.style.width);
		if(calendarWindowRule.style.height != null)
			height = parseInt(calendarWindowRule.style.height);
	}
	if(width < 100) width = 300;
	if(height < 80) height = 150;
	
	// --- open calendar popup "as modal as possible"
	if(window.showModalDialog)
		window.showModalDialog(calendarUrl, {opener: self}, "center=no;scroll=no;status=no;resizable=yes;unadorned=no;dialogWidth="+width+"px;dialogHeight="+height+"px;dialogLeft="+evt.screenX+"px;dialogTop="+evt.screenY+"px;");
	else
		window.open(calendarUrl, "_blank", "titlebar=no,modal=yes,dialog=yes,dependent=yes,status=no,location=no,menubar=no,toolbar=no,resizable=yes,width="+width+",height="+height+",left="+evt.screenX+",top="+evt.screenY);
}
function DateField_setDateAndClose(formName, dateFieldName, date)
{
	// --- 1: set date
	var oWin = null;
	if(window.opener) // popup opened with window.open()
		oWin = window.opener;
	else if(window.dialogArguments && window.dialogArguments.opener) // popup opened with window.showModalDialog()
		oWin = window.dialogArguments.opener;
	
	if(oWin && oWin.document)
	{
		var form = oWin.document.forms[formName];
		if(form)
		{
			var dateField = form.elements[dateFieldName];
			if(dateField)
			{
				dateField.value = date;
				dateField.focus();
			}
		}
	}
	// --- 2: close calendar popup
	window.close();
}
function findStyleRule(styleName)
{
	try
	{
		for (var i=0; i<document.styleSheets.length; i++)
		{ 
			var rules = document.all ? document.styleSheets[i].rules : document.styleSheets[i].cssRules;
			for (var j=0; j<rules.length; j++)
			{
				if (rules[j].selectorText == styleName)
					return rules[j];
			}
		}
	}
	catch(e)
	{
	}
	return null;
}