/**
 * Open SUIT - Simple User Interface Toolkit
 * 
 * Copyright (c) 2009 France Telecom, http://www.francetelecom.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ow2.opensuit.core.session;

import java.text.DateFormat;

/**
 * Interface that gives access to output date formats
 */
public interface IDateOutputFormatConfig
{
	/**
	 * Returns the date output format for this locale.
	 * @return
	 */
	DateFormat getDateOutputFormat();
	
	/**
	 * Returns the time output format for this locale.
	 * @return
	 */
	DateFormat getTimeOutputFormat();
	
	/**
	 * Returns the date and time output format for this locale.
	 * @return
	 */
	DateFormat getDateTimeOutputFormat();
	
}
