/**
 * Open SUIT - Simple User Interface Toolkit
 * 
 * Copyright (c) 2009 France Telecom, http://www.francetelecom.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ow2.opensuit.xml.base.action;

import org.ow2.opensuit.xmlmap.annotations.XmlAttribute;
import org.ow2.opensuit.xmlmap.annotations.XmlChild;
import org.ow2.opensuit.xmlmap.annotations.XmlDoc;
import org.ow2.opensuit.xmlmap.annotations.XmlElement;
import org.ow2.opensuit.xmlmap.interfaces.IInitializable;
import org.ow2.opensuit.xmlmap.interfaces.IInitializationSupport;
import org.ow2.opensuit.xmlmap.interfaces.IInstantiationContext;



@XmlDoc("An action Case.<br>" +
		"This is used by both DoAndForward and SwitchAction components, to define action cases. ")
@XmlElement
public class Case implements IInitializable
{
	@XmlDoc("The forward name. Must be unique.")
	@XmlAttribute(name="Name")
	private String name;
	
	@XmlDoc("Defines the action to trigger when this case is selected.")
	@XmlChild(direct=true, name="Action")
	protected IAction action;
	
	public void initialize(IInitializationSupport initSupport, IInstantiationContext instContext)
	{
	}
	public String getName()
	{
		return name;
	}
	/*
	public String getUrl(HttpServletRequest iRequest) throws Exception
	{
		return action.getURL(iRequest);
	}
	*/
}
