/**
 * Open SUIT - Simple User Interface Toolkit
 * 
 * Copyright (c) 2009 France Telecom, http://www.francetelecom.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ow2.opensuit.xml.base.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.ow2.opensuit.core.util.HtmlUtils;
import org.ow2.opensuit.xmlmap.annotations.XmlAttribute;
import org.ow2.opensuit.xmlmap.annotations.XmlDoc;
import org.ow2.opensuit.xmlmap.annotations.XmlElement;
import org.ow2.opensuit.xmlmap.interfaces.IInitializable;
import org.ow2.opensuit.xmlmap.interfaces.IInitializationSupport;
import org.ow2.opensuit.xmlmap.interfaces.IInstantiationContext;



@XmlDoc("This action restores a viewpoint that has been passed as a navigation parameter (see component param.ViewPointParam).")
@XmlElement
public class RestoreViewPoint implements IAction, IInitializable
{
	//TODO: get viewpoint from other context than request params?
	@XmlDoc("The parameter name containing the viewpoint to restore.")
	@XmlAttribute(name="ParamName")
	private String paramName;
	// TODO: rajouter les arguments, construction de l'url par morceaux?
	// TODO: possiblit� de construire une url locale � l'appli
	
	public void initialize(IInitializationSupport initSupport, IInstantiationContext instContext)
	{
		// --- v�rifier que l'url est valide
	}

	public String getURL(HttpServletRequest iRequest, boolean iEncodeHtml)
	{
	    String url = iRequest.getParameter(paramName);
	    
	    if(iEncodeHtml){
	    	url = HtmlUtils.encode2HTML(url);
	    }
	    
	    return url;
	}
	public void invoke(HttpServletRequest request, HttpServletResponse response) throws Exception
	{
		// --- redirect to the url
		response.sendRedirect(getURL(request, false));
	}
}
