/**
 * Open SUIT - Simple User Interface Toolkit
 * 
 * Copyright (c) 2009 France Telecom, http://www.francetelecom.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ow2.opensuit.xml.base.enums;

import org.ow2.opensuit.xmlmap.annotations.XmlDoc;
import org.ow2.opensuit.xmlmap.annotations.XmlEnumeration;


@XmlDoc("This enumeration allows to set a severity (such as in a MessageBox).")
@XmlEnumeration
public enum Severity
{
	@XmlDoc("Information severity.")
	Info("Info"),
	
	@XmlDoc("Warning severity.")
	Warning("Warning"),
	
	@XmlDoc("Error severity.")
	Error("Error");
	
	private String name;
	private Severity(String iName)
	{
		name = iName;
	}
	public String getName()
	{
		return name;
	}
}
