/**
 * Open SUIT - Simple User Interface Toolkit
 * 
 * Copyright (c) 2009 France Telecom, http://www.francetelecom.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ow2.opensuit.xml.base.html.form;

import javax.servlet.http.HttpServletRequest;

import org.ow2.opensuit.xml.base.param.IUrlParameter;
import org.ow2.opensuit.xmlmap.annotations.XmlAttribute;
import org.ow2.opensuit.xmlmap.annotations.XmlDoc;
import org.ow2.opensuit.xmlmap.annotations.XmlElement;
import org.ow2.opensuit.xmlmap.interfaces.IInitializable;
import org.ow2.opensuit.xmlmap.interfaces.IInitializationSupport;
import org.ow2.opensuit.xmlmap.interfaces.IInstantiationContext;



@XmlDoc("A component that adds url parameters to enter the specified form in edit mode or view mode.See ViewEditForm component.")
@XmlElement
public class ViewEditFormModeParam implements IUrlParameter, IInitializable
{
	@XmlDoc("The ID of the ViewEditForm.")
	@XmlAttribute(name="FormID")
	private String formID;
	@XmlDoc("Determines whether the form has to display edit mode or view mode.")
	@XmlAttribute(name="EditMode")
	private boolean editMode;
	
	public void initialize(IInitializationSupport initSupport, IInstantiationContext instContext)
	{
	    // TODO check form exists
	}

	public String getName()
	{
		return formID+".mode";
	}

	public String getValue(HttpServletRequest iRequest) throws Exception
	{
		return editMode ? "edit" : "view";
	}

}
