/**
 * Open SUIT - Simple User Interface Toolkit
 * 
 * Copyright (c) 2009 France Telecom, http://www.francetelecom.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ow2.opensuit.xml.base.html.tab;

import javax.servlet.http.HttpServletRequest;

import org.ow2.opensuit.xml.base.param.IUrlParameter;
import org.ow2.opensuit.xmlmap.annotations.XmlAttribute;
import org.ow2.opensuit.xmlmap.annotations.XmlDoc;
import org.ow2.opensuit.xmlmap.annotations.XmlElement;
import org.ow2.opensuit.xmlmap.interfaces.IInitializable;
import org.ow2.opensuit.xmlmap.interfaces.IInitializationSupport;
import org.ow2.opensuit.xmlmap.interfaces.IInstantiationContext;



@XmlDoc("A component that adds url parameters to select a given tab from a TabPage in the targetted page.")
@XmlElement
public class ShowTabParam implements IUrlParameter, IInitializable
{
	@XmlDoc("The ID of the targeted TabPage.")
	@XmlAttribute(name="TabPageID")
	private String tabPageID;
	@XmlDoc("The Id of the tab to select. Must exist in the targeted TabPage.")
	@XmlAttribute(name="TabID")
	private String tabID;
	
	public void initialize(IInitializationSupport initSupport, IInstantiationContext instContext)
	{
	    // TODO check tabpage and tab exist...
	}

	public String getName()
	{
		return "tab_"+tabPageID;
	}

	public String getValue(HttpServletRequest iRequest) throws Exception
	{
		return tabID;
	}

}
