/**
 * Open SUIT - Simple User Interface Toolkit
 * 
 * Copyright (c) 2009 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ow2.opensuit.xml.base.html.table.filter;

import javax.servlet.http.HttpServletRequest;

import org.ow2.opensuit.xmlmap.annotations.XmlAttribute;
import org.ow2.opensuit.xmlmap.annotations.XmlDoc;
import org.ow2.opensuit.xmlmap.annotations.XmlElement;

@XmlDoc("A filter function that filters values exactly equal to the entered value.")
@XmlElement
public class Equals implements IFilterFunction
{
	@XmlDoc("Sets whether the filter is case unsensitive. Default: <code>true</code>.")
	@XmlAttribute(name="IgnoreCase", required=false)
	private boolean ignoreCase= true;
	
	public Object compileFilter(HttpServletRequest request, String filter) throws Exception
	{
		return filter;
	}
	public boolean passFilter(HttpServletRequest request, Object compiledFilter, String cellText) throws Exception
	{
		if(cellText == null){
			return false;// ???
		}
		
		String filter = (String)compiledFilter;
		/* not useful
		if(filter == null || filter.length() == 0)
			return true;
		*/
		if(ignoreCase){
			return cellText.equalsIgnoreCase(filter);
		}
		
		return cellText.equals(filter);
	}
}
