/**
 * Open SUIT - Simple User Interface Toolkit
 * 
 * Copyright (c) 2009 France Telecom, http://www.francetelecom.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ow2.opensuit.xml.base.html.tree;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;

import org.ow2.opensuit.xmlmap.annotations.XmlChildren;
import org.ow2.opensuit.xmlmap.annotations.XmlDoc;
import org.ow2.opensuit.xmlmap.annotations.XmlElement;
import org.ow2.opensuit.xmlmap.interfaces.IInitializable;
import org.ow2.opensuit.xmlmap.interfaces.IInitializationSupport;
import org.ow2.opensuit.xmlmap.interfaces.IInstantiationContext;


@XmlDoc("This component provides statically declared tree items (from XML).")
@XmlElement
public class InlineItems implements ITreeItemsProvider, IInitializable
{
	@XmlDoc("Tree items.")
	@XmlChildren(direct=true, name="items", minOccurs=0)
	private IInlineItem[] items;
	
	public void initialize(IInitializationSupport errors, IInstantiationContext instContext)
	{
	    // TODO Auto-generated method stub
	    
	}
	public List<ITreeLeaf> getItems(HttpServletRequest request) throws Exception
	{
		List<ITreeLeaf> childrenItems = new ArrayList<ITreeLeaf>();
		for(int i=0; i<items.length; i++)
		{
			if(items[i].isVisible(request)){
				childrenItems.add(items[i]);
			}
		}
	    return childrenItems;
	}
}
