/**
 * Open SUIT - Simple User Interface Toolkit
 * 
 * Copyright (c) 2009 France Telecom, http://www.francetelecom.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ow2.opensuit.xml.base.locale;

import javax.servlet.http.HttpServletRequest;

import org.ow2.opensuit.xmlmap.annotations.XmlAttribute;
import org.ow2.opensuit.xmlmap.annotations.XmlDoc;
import org.ow2.opensuit.xmlmap.annotations.XmlElement;
import org.ow2.opensuit.xmlmap.interfaces.IInitializable;
import org.ow2.opensuit.xmlmap.interfaces.IInitializationSupport;
import org.ow2.opensuit.xmlmap.interfaces.IInstantiationContext;



@XmlDoc("Fixed locale policy. <br>Declares a fixed locale to be used for every user of the application.")
@XmlElement
public class Fixed implements ILocaleSelector, IInitializable
{
	@XmlDoc("The locale language code to use.")
	@XmlAttribute(name="Language")
	private String language;
	@XmlDoc("The locale country code to use.")
	@XmlAttribute(name="Country", required=false)
	private String country;
	
	private java.util.Locale locale;
	
	public void initialize(IInitializationSupport initSupport, IInstantiationContext instContext)
	{
	    // TODO Auto-generated method stub
		locale = country == null ? new java.util.Locale(language) : new java.util.Locale(language, country);
	}
	public java.util.Locale getLocale(HttpServletRequest iRequest)
	{
		return locale;
	}
}
