/**
 * Open SUIT - Simple User Interface Toolkit
 * 
 * Copyright (c) 2009 France Telecom, http://www.francetelecom.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ow2.opensuit.xml.interfaces;

import java.lang.reflect.Type;
import java.util.List;

import javax.servlet.http.HttpServletRequest;


public interface IBeanProvider
{
	List<String> getBeanNames();
	
	String getBeanDescription(String iName);
	
	Type getBeanGenericType(String iName) throws UnresolvedBeanError;
	
	Class<?> getBeanType(String iName) throws UnresolvedBeanError;
	
	Object getBeanValue(HttpServletRequest iRequest, String iName) throws Exception;
	
	public static class UnresolvedBeanError extends Exception
	{
        private static final long serialVersionUID = -4335726664248106344L;
	}
}
